QGIS Application - Bug report #19415
Shortest Path in Qgis 2.18
2018-07-13 04:28 PM - Tom Peters

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version:2.18.21 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 27243
Description

Trying to run the Shortest Path plugin, and it comes up with the error message:

"Plugin isn't configured! Please go to the Vector menu, Road Graph, Settings option to configure it."

| have configured it by doing this and still no change.

| had this issue with 2.18.13, and in 2.18.21; whilst 3.2.0 crashes whenever | attempt to use it.

Look forward to your response.

Regards Tom Peters

History

#1 - 2018-07-17 11:27 AM - Saber Razmjooei
- Status changed from Open to Feedback

What is the format of your source layer (shapefile, TAB file, postgis, etc)?

#2 - 2018-07-18 09:46 AM - Tom Peters

Source data is shapefile. It recognises it within the settings, all appears fine, OK to the settings, and then the same error comes up, despite the settings

appearing configured

#3 - 2018-07-18 10:19 AM - Giovanni Manghi
- Operating System changed from Windows 10. to Windows 10

In 3.* wasn't this tool moved to Processing? if yes is unlikely it will get any fix in 2.18 (if is a bug). | suggest to try the operation of QGIS 3/Processing and
see if there it works as expected.

#4 - 2018-07-18 10:24 AM - Tom Peters

Would try this but 3.2.0 (the version | am running and the current version as | understand) crashes before | try even adding a layer, so it's a non-starter at

present.
#5 - 2018-07-18 10:25 AM - Giovanni Manghi
Tom Peters wrote:
Would try this but 3.2.0 (the version | am running and the current version as | understand) crashes before | try even adding a layer, so it's a

non-starter at present.

aren't you using 2.18.217? this is the version you specified when you filed the ticket. Anyway... this must be tested on QGIS 3 (maybe you can try on another

machine?).

#6 - 2018-07-18 10:32 AM - Tom Peters

Giovanni Manghi wrote:

Tom Peters wrote:

Would try this but 3.2.0 (the version | am running and the current version as | understand) crashes before | try even adding a layer, so it's a

non-starter at present.

aren't you using 2.18.217? this is the version you specified when you filed the ticket. Anyway... this must be tested on QGIS 3 (maybe you can try on

another machine?).

| am using 2.18.21, but also have 3.2.0 installed. I'm using 2.18.21 because | find 3.2.0 unusable due to crashing issues. All others in my office have the
same issue with 3.2.0 (and previous versions of 3%).

#7 - 2018-07-18 10:35 AM - Giovanni Manghi
I'm using 2.18.21 because | find 3.2.0 unusable due to crashing issues. All others in my office have the same issue with 3.2.0 (and previous versions

of 3%).

Interesting, but sounds like a specific issue of your (workplace) environment/windows installations. Have you tried for example on clean (for example in a

virtual machine) environment if it still happens?

#8 - 2019-01-21 12:35 AM - Jiirgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#9 - 2019-02-24 10:32 AM - Giovanni Manghi
- Resolution set to no timely feedback
- Status changed from Feedback to Closed
